Hooks:PostHook( WeaponFactoryTweakData, "init", "ScorpionVarModInit", function(self)

	self.parts.wpn_fps_smg_scorpion_m_extended.stats = {
		concealment = -2,
		recoil = 1,
		value = 1,
		extra_ammo = 0,
		reload = 3,
		total_ammo_mod=2
	}
	
	for _, part_id in pairs(self.wpn_fps_smg_x_scorpion.uses_parts) do
		if self.parts[part_id].type == "gadget" then
			table.insert(self.parts.wpn_fps_smg_scorpion_body_norail.forbids, part_id)
		end
	end
	for _, part_id in pairs(self.wpn_fps_smg_scorpion.uses_parts) do
		if self.parts[part_id].type == "gadget" then
			table.insert(self.parts.wpn_fps_smg_scorpion_body_norail.forbids, part_id)
		end
	end
	
	--akimbo "fix"
	table.insert(self.wpn_fps_smg_x_scorpion.uses_parts, "wpn_fps_smg_scorpion_s_nostock")
	table.insert(self.wpn_fps_smg_x_scorpion.uses_parts, "wpn_fps_smg_scorpion_s_unfolded")
	
	self.parts.wpn_fps_smg_scorpion_s_standard.forbids = self.parts.wpn_fps_smg_scorpion_s_standard.forbids or {}
	table.insert(self.parts.wpn_fps_smg_scorpion_s_standard.forbids, "wpn_fps_smg_scorpion_bsh_matrix")
	
	self.wpn_fps_smg_x_scorpion.override = self.wpn_fps_smg_x_scorpion.override or {}
	
	self.wpn_fps_smg_x_scorpion.override.wpn_fps_smg_scorpion_m_extended = {
			stats = {
				concealment = -2,
				recoil = 1,
				value = 1,
				extra_ammo = 0,
				reload = 3,
				total_ammo_mod=2
			}
		}
	self.wpn_fps_smg_x_scorpion.override.wpn_fps_smg_scorpion_s_unfolded = {
			stats = {
				value = 1,
				recoil = 2,
				concealment = -2
			}
		}
	
end )